org.python.util

## Class ProxyCompiler

- java.lang.Object
- - org.python.util.ProxyCompiler

-     public class ProxyCompiler
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyCompiler()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `compile(java.lang.String filename, java.lang.String destDir)` Compiles the python file by loading it FIXME: this is quite hackish right now.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyCompiler

          public ProxyCompiler()

  - ### Method Detail

    - #### compile

          public static void compile(java.lang.String filename,
                                     java.lang.String destDir)

      Compiles the python file by loading it FIXME: this is quite hackish right now. It basically starts a whole interpreter and sets proxyDebugDirectory as the destination for the compiled proxy class
      Parameters:
        `filename` - python filename to exec
        `destDir` - destination directory for the proxy classes

Jython homepage